<html>
<head>
    <script type="text/javascript">

		//=====================================================
		// Define a constructor for Account.
		//=====================================================
		var Account = function (id, name) {
			this.id = id;
			this.name = name;
			this.balance = 0;
			this.numTransactions = 0;
		};

		
		//=====================================================
		// Implement functionality for Account.
		//=====================================================
		Account.prototype = {

			deposit: function(amount) {
				this.balance += amount;
				this.numTransactions++;
			},

			withdraw: function(amount) {
				this.balance -= amount;
				this.numTransactions++;
			},

			displayDetails: function() {
				alert(this.id + ", " +
					  this.name + " earns $" +
					  this.balance + " (" +
					  this.numTransactions + " transactions)");
			}
		};

		
		//=====================================================
		// Create an Account object and enumerate its properties
		//=====================================================
        function enumerateObjectProperties() {
			var acc1 = new Account(1, "Emily");

			var info = "Properties in acc1:\n";
			for(var prop in acc1) {
				info += prop + " : " + acc1[prop] + "\n";
			}
			alert(info);
		}
    </script>

</head>

<body>
<form name="form1">
  <input type="button" id="btnEmp1" value="Enumerate object properties" onclick="enumerateObjectProperties()" />
</form>
</body>

</html>
